extends StaticBody2D

func _ready():
	$Area2D.connect("body_entered", self, "_on_body_entered")
	$Area2D.connect("body_exited", self, "_on_body_exited")

func _on_body_entered(body):
	if not body.has_method("kick_after"):
		return
	$Colli.disabled = false

func _on_body_exited(body):
	if not body.has_method("kick_after"):
		return
	$Colli.disabled = true

